Subject: Re: bug#61307: 30.0.50; pixel-scroll-precision-mode: window-scroll-functions?

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Feb 2023 14:15:22 +0200

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 06 Feb 2023 22:30:19 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > > I discovered that when scrolling with the mouse wheel while
> > > `pixel-scroll-precision-mode' is enabled `window-scroll-functions' are
> > > not run.  Should they be?
> >
> > Are you saying that window-scroll-functions are _never_ run, no matter
> > how far and for how long you are scrolling?  Or are they sometimes run
> > and sometimes not, like only if you scroll far enough?
> 
> No, never, as far as I can tell.

So I guess we should add calls to window-scroll-functions inside
pixel-scroll.el functions which actually scroll.  Patches welcome.